ru.bitel.bgbilling.kernel.contract.api.common.bean

## Class ContractFilters

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractFilters

-     public class ContractFilters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractFilters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getFc()`
    `long` | `getGroupMask()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isClosed()`
    `boolean` | `isHidden()`
    `boolean` | `isSubContracts()`
    `void` | `setClosed(boolean closed)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setFc(int fc)`
    `void` | `setGroupMask(long groupMask)`
    `void` | `setHidden(boolean hidden)`
    `void` | `setSubContracts(boolean subContracts)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractFilters

          public ContractFilters()

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getFc

          public int getFc()

    - #### setFc

          public void setFc(int fc)

    - #### getGroupMask

          public long getGroupMask()

    - #### setGroupMask

          public void setGroupMask(long groupMask)

    - #### isSubContracts

          public boolean isSubContracts()

    - #### setSubContracts

          public void setSubContracts(boolean subContracts)

    - #### isClosed

          public boolean isClosed()

    - #### setClosed

          public void setClosed(boolean closed)

    - #### isHidden

          public boolean isHidden()

    - #### setHidden

          public void setHidden(boolean hidden)